petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscFERefine

Create a "refined" PetscFE object that refines the reference cell into smaller copies. This is typically used to precondition a higher order method with a lower order method on a refined mesh having the same number of dofs (but more sparsity). It is also used to create an interpolation between regularly refined meshes.

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFERefine(PetscFE fe, PetscFE *feRef)

Collective on PetscFE

### Input Parameter

fe -The initial PetscFE

### Output Parameter

feRef -The refined PetscFE

### See Also

PetscFEType, PetscFECreate(), PetscFESetType()

### Level

developer

### Location

src/dm/dt/fe/interface/fe.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages